import React from 'react';
import classnames from "classnames";

require('./page-selector.css').toString();

function PageThumbnail(_ref) {
  var src = _ref.src,
      isActive = _ref.isActive,
      onClick = _ref.onClick,
      pageNumber = _ref.pageNumber;
  return React.createElement("div", {
    role: "button",
    tabIndex: 0,
    className: classnames('page-thumbnail', {
      'page-thumbnail-is-active': isActive
    }),
    onClick: onClick
  }, React.createElement("img", {
    src: src,
    alt: ""
  }), pageNumber !== undefined && React.createElement("div", {
    className: "page-number-wrapper"
  }, React.createElement("span", {
    className: "page-number"
  }, pageNumber)));
}

function PagesSelector(_ref2) {
  var pages = _ref2.pages,
      onPageClick = _ref2.onPageClick,
      onRecalc = _ref2.onRecalc,
      onSave = _ref2.onSave,
      recalcActive = _ref2.recalcActive,
      saveActive = _ref2.saveActive;
  return React.createElement("div", {
    className: "page-selector"
  }, React.createElement("div", {
    className: "bottom-buttons"
  }, React.createElement("button", {
    onClick: onRecalc,
    disabled: !recalcActive,
    className: "info"
  }, "Recalc"), React.createElement("button", {
    onClick: onSave,
    disabled: !saveActive,
    className: "success"
  }, "Save")), React.createElement("div", {
    className: "pages"
  }, pages.map(function (page, idx) {
    return React.createElement(PageThumbnail, {
      key: page.id,
      src: page.src,
      isActive: page.isActive,
      onClick: function onClick() {
        return onPageClick(idx);
      }
    });
  })));
}

PagesSelector.defaultProps = {
  onPageClick: function onPageClick() {},
  onRecalc: function onRecalc() {},
  onSave: function onSave() {},
  recalcActive: false,
  saveActive: false,
  pageNumber: undefined
};
export default PagesSelector;